
Redmine - Feature #21421

Security Notifications when security related things are changed

2015-12-04 09:30 - Jan from Planio www.plan.io

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Security Estimated time: 0.00 hour

Target version: 3.3.0   

Resolution: Fixed   

Description

As a user I want to receive an email whenever something security related (e.g. my password, my account email address) is changed.

As an admin, I would like to receive also emails about global changes (e.g. "login required" disactivated) or the addition/removal of

other admins.

The attached patch series against current trunk implements this. Would be great if that could be included in one of the next releases.

Thanks!

Related issues:

Related to Redmine - Defect #23369: encoding error in locales de.yml Closed

Related to Redmine - Defect #32193: Add turn on/off button to control sending... New

Associated revisions

Revision 15094 - 2016-01-23 09:29 - Jean-Philippe Lang

Add optional user parameter to I18n#format_time to (#21421).

This is useful for mails where times should be displayed in the timezone of the recipient - not the current user causing the mail to be sent.

Revision 15095 - 2016-01-23 09:35 - Jean-Philippe Lang

Typo (#21421).

Revision 15145 - 2016-02-05 08:33 - Jean-Philippe Lang

Security notifications when password or email adress is changed (#21421).

Patch by Jan Schulz-Hofen.

Revision 15146 - 2016-02-05 08:48 - Jean-Philippe Lang

Harmonize setting labels (#21421).

For every setting, there should always is be a "setting_%{label}

Patch by Jan Schulz-Hofen.

Revision 15147 - 2016-02-05 08:48 - Jean-Philippe Lang

Harmonize setting labels (#21421).

Revision 15148 - 2016-02-05 09:50 - Jean-Philippe Lang

Send a notification when security settings are changed (#21421).

Revision 15149 - 2016-02-25 05:19 - Toshi MARUYAMA

generate i18n keys (#21421)

Revision 15265 - 2016-03-20 08:09 - Jean-Philippe Lang

Send a security notification when users gain or loose admin (#21421).

Patch by Jan Schulz-Hofen.
Revision 15266 - 2016-03-20 08:23 - Jean-Philippe Lang

Send a single email to admins like other notifications (#21421).

Revision 15267 - 2016-03-20 08:35 - Jean-Philippe Lang

Let the mailer set the email content (#21421).

Revision 15269 - 2016-03-20 08:49 - Jean-Philippe Lang

Adds instance name to the security notification subject (#21421).

Revision 15399 - 2016-05-08 10:27 - Jean-Philippe Lang

Adds a specific string for password changed notification (#21421).

Revision 15402 - 2016-05-08 11:07 - Jean-Philippe Lang

Don't send a notification to the dummy email address of the default admin account (#21421).

Revision 15696 - 2016-07-19 12:41 - Toshi MARUYAMA

fix encoding error in de.yml (#23369, #21421)

Revision 15697 - 2016-07-19 13:16 - Toshi MARUYAMA

Merged r15696 from trunk to 3.3-stable (#23369, #21421)

fix encoding error in de.yml.

History

#1 - 2015-12-04 09:35 - Jan from Planio www.plan.io

- Description updated

#2 - 2015-12-05 11:06 - Jean-Philippe Lang

- Target version changed from Candidate for next major release to 3.3.0

Nice addition but maybe a bit late for 3.2.0. I'm assigning it to 3.3.0

#3 - 2015-12-11 12:33 - Jan from Planio www.plan.io

- File 0000-Add-optional-user-parameter-to-I18n-format_time-to-o.patch added

- File 0002-Add-Mailer-security_notification.patch added

- File 0007-Send-a-security-notification-when-users-gain-or-loos.patch added

Jean-Philippe Lang wrote:

Nice addition but maybe a bit late for 3.2.0. I'm assigning it to 3.3.0

 Thanks for your feedback. 3.3.0 would be great!

After review, I'm also updating the patch series:

replace bogus gmail address with more appropriate example.foo address

rebase on current master (fixed a test)

use correct time zone for mails

#4 - 2015-12-11 12:34 - Jan from Planio www.plan.io

- File deleted (0002-Add-Mailer-security_notification.patch)

#5 - 2015-12-11 12:34 - Jan from Planio www.plan.io

- File deleted (0007-Send-a-security-notification-when-users-gain-or-loos.patch)

#6 - 2015-12-12 14:29 - Jan from Planio www.plan.io

- File deleted (0004-Send-a-security-notification-when-a-user-s-email-add.patch)
#7 - 2015-12-12 14:30 - Jan from Planio www.plan.io

- File 0004-Send-a-security-notification-when-a-user-s-email-add.patch added

Fix Patch 4 so that the user whose email address is changed gets the mail (not the current user). They might differ in case an admin changes email

addresses for a different user.

#8 - 2015-12-13 07:10 - Jan from Planio www.plan.io

- File deleted (0007-Send-a-security-notification-when-users-gain-or-loos.patch)

#9 - 2015-12-13 07:10 - Jan from Planio www.plan.io

- File deleted (0006-Send-a-security-notification-when-certain-settings-a.patch)

#10 - 2015-12-13 07:11 - Jan from Planio www.plan.io

- File 0007-Send-a-security-notification-when-users-gain-or-loos.patch added

- File 0006-Send-a-security-notification-when-certain-settings-a.patch added

Fix patches 6 and 7 so that security notifications only get sent to active admins only.

#11 - 2015-12-13 08:12 - Jan from Planio www.plan.io

- File deleted (0003-Send-a-security-notification-when-a-user-s-password-.patch)

#12 - 2015-12-13 08:13 - Jan from Planio www.plan.io

- File 0003-Send-a-security-notification-when-a-user-s-password-.patch added

Fix patch 3 to also send a security notification when the user's password is changed after a lost password.

#13 - 2015-12-13 08:35 - Jan from Planio www.plan.io

- File deleted (0007-Send-a-security-notification-when-users-gain-or-loos.patch)

#14 - 2015-12-13 08:36 - Jan from Planio www.plan.io

- File 0007-Send-a-security-notification-when-users-gain-or-loos.patch added

Fix patch 7 to only send security notifications when admins are active.

#15 - 2015-12-13 09:39 - Jan from Planio www.plan.io

- File 0008-Allow-overriding-of-originator-and-remote_ip-causing-a-s.patch added

Adding patch 8 which allows overriding of originator and remote_ip causing a security notification and use these overrides in lost password procedure

(where no real session is initiated).

#16 - 2016-05-08 10:29 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Feature added with a few changes, eg. we're sending one email about changed settings to all admins instead of one email to each amdin for each

setting.

Thanks.

#17 - 2016-07-19 12:34 - Toshi MARUYAMA

- Related to Defect #23369: encoding error in locales de.yml added

#18 - 2016-08-10 15:25 - Joel Bearden

This is a nice feature.  How do I turn these notifications off?   Or limit the recipient list?

#19 - 2016-09-06 06:36 - Toshi MARUYAMA

Joel Bearden wrote:
This is a nice feature.  How do I turn these notifications off?   Or limit the recipient list?

 Please create new feature issue.

#20 - 2019-10-05 04:10 - Go MAEDA

- Related to Defect #32193: Add turn on/off button to control sending security notifications added

Files

0001-Store-user-s-IP-address-for-the-duration-of-the-requ.patch 2.37 KB 2015-12-04 Jan from Planio www.plan.io

0005-Harmonize-setting-labels.patch 4.29 KB 2015-12-04 Jan from Planio www.plan.io

0000-Add-optional-user-parameter-to-I18n-format_time-to-o.patch 1.21 KB 2015-12-11 Jan from Planio www.plan.io

0002-Add-Mailer-security_notification.patch 6.68 KB 2015-12-11 Jan from Planio www.plan.io

0004-Send-a-security-notification-when-a-user-s-email-add.patch 8.83 KB 2015-12-12 Jan from Planio www.plan.io

0006-Send-a-security-notification-when-certain-settings-a.patch 5.64 KB 2015-12-13 Jan from Planio www.plan.io

0003-Send-a-security-notification-when-a-user-s-password-.patch 4.03 KB 2015-12-13 Jan from Planio www.plan.io

0007-Send-a-security-notification-when-users-gain-or-loos.patch 8.34 KB 2015-12-13 Jan from Planio www.plan.io

0008-Allow-overriding-of-originator-and-remote_ip-causing-a-s.patch 4.61 KB 2015-12-13 Jan from Planio www.plan.io
